<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateCardViewEx Method (IEdmVault6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault6 Interface : CreateCardViewEx Method (IEdmVault6)

Visual Basic
C#
C++/CLI

lEdmCardViewFlags
  Combination of EdmCardViewFlag bits

lCardID
  ID of card to display (see Remarks)

lParentWindow
  Parent window handle

lX
  X-position in pixels of the parent window

lY
  Y-position in pixels of the parent window

poCallback
  Pointer to a class that implements IEdmCardViewCallback6

Obsolete. Superseded by IEdmVault10::CreateCardViewEx2 .

# Syntax

Visual Basic |
--- | ---

    Function CreateCardViewEx( _
       ByVal lEdmCardViewFlags As System.Integer, _
       ByVal lCardID As System.Integer, _
       ByVal lParentWindow As System.Integer, _
       ByVal lX As System.Integer, _
       ByVal lY As System.Integer, _
       ByVal poCallback As IEdmCardViewCallback6 _
    ) As IEdmCardView6

C# |
--- | ---

    IEdmCardView6 CreateCardViewEx(
       System.int lEdmCardViewFlags,
       System.int lCardID,
       System.int lParentWindow,
       System.int lX,
       System.int lY,
       IEdmCardViewCallback6 poCallback
    )

C++/CLI |
--- | ---

    IEdmCardView6^ CreateCardViewEx(
    &   System.int lEdmCardViewFlags,
    &   System.int lCardID,
    &   System.int lParentWindow,
    &   System.int lX,
    &   System.int lY,
    &   IEdmCardViewCallback6^ poCallback
    )

#### Parameters

lEdmCardViewFlags
  Combination of EdmCardViewFlag bits
lCardID
  ID of card to display (see Remarks)
lParentWindow
  Parent window handle
lX
  X-position in pixels of the parent window
lY
  Y-position in pixels of the parent window
poCallback
  Pointer to a class that implements IEdmCardViewCallback6

#### Return Value

IEdmCardView6

# Remarks

Use this method if you want complete control of the loading and saving of data to and from a custom file or folder data card. Use IEdmFolder5::CreateCardView if you want SOLIDWORKS PDM Professional to handle the loading and saving of data to and from a simple file or folder data card.

To obtain lCardID, call IEdmVault6::GetCardID.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_ID: The specified card ID is invalid.

# See Also

####

IEdmVault6 Interface
IEdmVault6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0